import { type CustomCompData } from './types';
/**
 * @example
 * import QuestionBankItem from './components/correction/QuestionBankItem.vue'
 * const schema = [
 *   useCustomItem({
 *     component: QuestionBankItem,
 *     props: {
 *       data: {
 *         //...
 *       },
 *     },
 *     key: 'key',
 *   }),
 * ]
 */
export declare const useCustomItem: <C = any>(data: Omit<CustomCompData<C>, "type">) => CustomCompData<C>;
